//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007, 2008 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#ifdef SERVICES_ENABLED
//SQlite
#include "sqlite3.h"
#include "sqlite3.c"
#endif
//usleep:
#include <unistd.h>
//atoi-type (windows/unix)
#include <stdlib.h>
#include <stdio.h>
//string functions
#include <string.h>
//file locks
#include <fcntl.h>
//signals
#include <signal.h>
//errno
#include <errno.h>
//waitpid() stuff
#include <sys/types.h>
#include <sys/wait.h>
//internet connection
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/stat.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#ifndef false
#define false 0
#endif
#ifndef true
#define true (! false)
#endif
typedef char bool;
unsigned char startupprefix[] = " [****]";
unsigned char startupprefixsub[] = " [    ]";
unsigned char version_copy[50];
char bigversion[] = "0.4";
char version_detail[] = "0.4.0.2";
int willquit = 0;
#define FLOODLINES 8

int weircdMainLoop();
void weircdUserInit();
void weircdChannelsInit();
void weircdIpsInit();
bool nicknamevalid(char* nick);
#ifdef SERVICES_ENABLED
unsigned char* services_chanowner(const unsigned char* channel);
bool chanregistered(const unsigned char* chan);
bool weircdServicesInit();
unsigned char* services_chanorigname(const unsigned char* channel);
unsigned char* services_chantopic(const unsigned char* channel);
#endif
#include "weircd_confoptions.h"
#include "weircd_signals.c"
#include "weircd_strings.c"
#include "weircd_startup.c"
#include "weircd_masks.c"
#include "weircd_channels.c"
#include "weircd_ips.h"
#include "weircd_hostcloaking.c"
#include "weircd_users.c"
#include "weircd_motd.c"
#include "weircd_readconf.c"
#include "weircd_ips.c"
#include "weircd_usersendbuffer.c"
#include "weircd_mode.c"
#ifdef SERVICES_ENABLED
#include "weircd_services.c"
#endif
#include "weircd_irc.c"
#include "weircd_sockets.c"
#include "weircd_mainloop.c"


