//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007, 2008 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

struct weircd_ipdata {
	unsigned char ip[16];
	long lastconnect;
	long lastconnect2;
	long lastnickregister;
	long lastchanregister;
	long lastexcessflood;
	long lastnickfail1;
	long lastnickfail2;
	long lastnickfail3;
	long nicklock;
};
struct weircd_ipdata* ips[COMPILEOPTION_IPSTORAGESIZE];
int getIpID(const unsigned char* vIp) {
	int r = 0;
	while (r < COMPILEOPTION_IPSTORAGESIZE) {
		if (ips[r] != NULL) {
			if (strcasecmp(ips[r]->ip,vIp) == 0) {
				return r;
			}
		}
		r += 1;
	}
	return -1;
}

