//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007, 2008 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//    
#define SENDBUFFERBLOCKSIZE 512
int vsnd(const unsigned char* oline,int user) {
#ifdef ACTIVATEDEBUG
	printf("<<[%d] %s\n",user,oline);
#endif
	if (strlen(oline) >= SENDBUFFERBLOCKSIZE) {return -1;}//too big; this is not allowed
	unsigned char line[SENDBUFFERBLOCKSIZE];
	strcpy(line,oline);
	if (strlen(line) <= 0) {return -1;}
	if (line[strlen(line)-1] != '\n') {
		if (strlen(line) < SENDBUFFERBLOCKSIZE - 2) {
			strcat(line,"\r\n");
		}else{
			return -1;
		}
	}
	int r = 0;
	int k;
	while (r < USER_MAXSENDBUFFERS) {
		if (userpointers[user]->sendbuffer[r] == NULL) {
			break;
		}
		r += 1;
	}
	if (r == 0) {//nothing allocated yet; allocate
		userpointers[user]->sendbuffer[r] = malloc(SENDBUFFERBLOCKSIZE);
		strcpy(userpointers[user]->sendbuffer[r],line);
		return 0;
	}else{
		if (strlen(userpointers[user]->sendbuffer[r - 1]) + strlen(line) < SENDBUFFERBLOCKSIZE) {
			strcat(userpointers[user]->sendbuffer[r - 1],line);
			return 0;
		}else{
			if (r >= USER_MAXSENDBUFFERS - 1) {
				userQuit(user,USERQUIT_SENDQEXCEEDED);
				return -1;
			}//all pointers used; full!
			if (strlen(userpointers[user]->sendbuffer[r - 1]) >= SENDBUFFERBLOCKSIZE - 1) {
				userpointers[user]->sendbuffer[r] = malloc(SENDBUFFERBLOCKSIZE);
				strcpy(userpointers[user]->sendbuffer[r],line);
				return 0;
			}else{
				k = SENDBUFFERBLOCKSIZE - (strlen(userpointers[user]->sendbuffer[r - 1]) + 1);
				strncat(userpointers[user]->sendbuffer[r - 1],line,(SENDBUFFERBLOCKSIZE - 1)-strlen(userpointers[user]->sendbuffer[r-1]));
				userpointers[user]->sendbuffer[r-1][SENDBUFFERBLOCKSIZE - 1] = 0;
				cut(line,k);
				userpointers[user]->sendbuffer[r] = malloc(SENDBUFFERBLOCKSIZE);
				strcpy(userpointers[user]->sendbuffer[r],line);
				return 0;
			}
		}
	}
}
void scrollSendBuffer(int user) {
	int r = 0;
	if (userpointers[user]->sendbuffer[0] != NULL) {free(userpointers[user]->sendbuffer[0]);}
	while (r < USER_MAXSENDBUFFERS - 1) {
		userpointers[user]->sendbuffer[r] = userpointers[user]->sendbuffer[r + 1];
		r += 1;
	}
	userpointers[user]->sendbuffer[USER_MAXSENDBUFFERS - 1] = NULL;
}
